﻿using System;

using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace DataSetXmlTester
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            // Create the Instance of the DataSet
            LoginStatus ls = new LoginStatus();

            // Add a Row of Data to the DataSet
            ls.DataTable1.AddDataTable1Row(true, DateTime.Now, DateTime.Now);

            // Write the contents of the DataSet to an XML file
            ls.WriteXml(@"\Temp\Test.xml");

            // Read the contents of the DataSet into the DataSet instance
            // This allows for additional data to be added
            ls.ReadXml(@"\Temp\Test.xml");

            // Iterate through the DataSet's rows
            foreach (LoginStatus.DataTable1Row dr in ls.DataTable1.Rows)
            {
                // Extract the Type Safe Data from the DataSet
                bool status = dr.Status;
                DateTime lastLoginTime = dr.LastLoginTime;
                DateTime lastPasswordChangeDate = dr.LastPasswordChangeDate;
            }

            // Add another row of Data to the DataSet
            ls.DataTable1.AddDataTable1Row(false, DateTime.Now, DateTime.Now);

            // Write the new DataSet contents to the XML file
            ls.WriteXml(@"\Temp\Test.xml");
        }
    }
}